<?php

require_once __DIR__ . '/../../connect.php';

$driver_id = filterRequest("driver_id");
$order_id = filterRequest("order_id");

$sql = "SELECT
    SUM(amount)
FROM
    `seferWallet`
WHERE
    createdAt BETWEEN DATE_FORMAT(CURRENT_DATE, '%Y-%m-01') AND LAST_DAY(CURRENT_DATE)";

$stmt = $con->prepare($sql);
$stmt->execute();
$result = $stmt->fetchAll(PDO::FETCH_ASSOC);

if ($stmt->rowCount() > 0) {
    // Print the retrieved data
    // echo json_encode($result);
     jsonSuccess($data = $result);
} else {
    // Print a failure message
    
     jsonError($message = "No driver order data found");
}

?>